package kz.arta.synergy.workflow.mobile.android.files.models;

/**
 * Created by neox on 02.11.15.
 * Нода хранилища (поиск)
 */
public class SearchNode {

    /**
     * Идентификатор
     */
    private String identifier;

    /**
     * Тип содержимного
     */
    private String ai_type;

    /**
     * Имя ноды
     */
    private String name;

    /**
     * Полный путь до ноды
     */
    private String path;

    /**
     * Время последнего изменения
     */
    private String modified;

    /**
     * Идентификатор родителя
     */
    private String parentID;

    /**
     * Размер в байтах
     */
    private String size;

    /**
     * Фрагменты содержимого
     */
    private String fragments;

    /**
     * Путь до иконки
     */
    private String icon_url;

    /**
     * Права на текущую ноду
     */
    private int right;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getAi_type() {
        return ai_type;
    }

    public void setAi_type(String ai_type) {
        this.ai_type = ai_type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getFragments() {
        return fragments;
    }

    public void setFragments(String fragments) {
        this.fragments = fragments;
    }

    public String getIcon_url() {
        return icon_url;
    }

    public void setIcon_url(String icon_url) {
        this.icon_url = icon_url;
    }

    public int getRight() {
        return right;
    }

    public void setRight(int right) {
        this.right = right;
    }
}
